GreatMarko

Latest Desktop Build 1.4.75

Recommended Posts

Hi Folks,
  Sync 1.4.75 is now available for manual download from the main site (or via direct links here)
 
  Note: This build isn't yet available via auto-update
 
Sync 1.4.75 Changelog:
- Fixed cosmetic issues
- Fixed various crashes reported by users
 
  The changelog for the previous build (1.4.72) may be found here.

Important Notes on Sync 1.4:
Downgrade to 1.3 is not possible after installing Sync 1.4.
(If you wish to downgrade - please uninstall Sync removing all settings, then install 1.3 and configure all folders from scratch)

For Windows XP/Vista/Server 2003 users:
DO NOT INSTALL SYNC 1.4 - it's not fully compatible with these operating systems at this time. Please use Sync 1.3.109 instead, which is compatible with Sync 1.4.

For Windows 7 users:
Sync 1.4 requires Internet Explorer 9 (or later). Windows 7 originally shipped with IE8. If you've never updated from IE8, Sync 1.4 will not function correctly (the UI will be blank). Updating to the latest version of Internet Explorer resolves this.

For Windows Server 2008 users:
Sync 1.4 requires Internet Explorer 9 (or later). Windows Server 2008 originally shipped with IE7 (R2 with IE8). If you've never updated from IE7/8, Sync 1.4 will not function correctly (the UI will be blank). Updating to the latest version of Internet Explorer resolves this.

Share this post


Link to post
Share on other sites

For Windows XP/Vista/Server 2003 users:

DO NOT INSTALL SYNC 1.4 - it's not fully compatible with these operating systems at this time.

 

Hmmm... that sounds  promising(?).

 

Is it possible to clarify whether Sync will be compatible with XP in a future release (e.g. 1.5) or not?

 

According to your reply underneath my post here...

http://forum.bittorrent.com/topic/30866-latest-desktop-build-13109/page-2#entry89210

...support for 1.4.xx builds is a complete non starter.

Share this post


Link to post
Share on other sites

Hi Mike,

  Windows XP support for was originally envisaged for 1.4, however, as I mentioned in my earlier post you refer to, I received confirmation from the developers last week that this has now changed: "As for XP - I have bad news. We decided not to support it in 1.4"

 

  Now, it could be argued that XP is now an "obsolete" operating system, which is no longer supported by Microsoft. So whilst it's understandably frustrating for those still using XP that Sync 1.4 isn't supported, you can kinda understand BitTorrent Inc's decision not to devote resources to maintaining compatibility with XP.

 

  HOWEVER, in their decision not to support Sync 1.4 in XP, it's also had a knock on affect of causing compatibility issues with Vista and Server 2003 (both of which are still valid operating systems supported by Microsoft - Server 2003 for example doesn't reach EOL (End Of Life) until 2016!)

 

  Essentially the underlying "engine" behind Sync 1.4 will install/run on XP/Vista/2k3, however the new IE-dependant "web ui" doesn't, because the developers haven't made it compatible with IE8 (which is surprising as all the various CSS/JS libraries and components that make up the new UI are all themselves compatible with IE8!!)

 

  It's almost as if the decision was made by someone that "we're not going to support IE8", without fully realizing that some current OS's (Win2k3) for example can't run anything higher than IE8, and others, like Win7 come with IE8 installed by default (therefore causing issues for those who've never updated their IE)

 

  So, if the developers could just spend some time addressing the IE8 issues with their interface, it should then mean that Sync 1.4 will fully work on XP, Vista, AND Server 2003.

 

  Or, as others have suggested, have Sync on Windows run its own small http daemon, allowing users to access the UI from ANY browser installed on their system, and not be reliant on IE9+. This would then make Sync 1.4 compatible again with XP/Vista/2k3.

 

  At present, the latest version of Sync 1.3 (1.3.109) is still compatible with XP/Vista/2k3, but I've asked the question as to whether this will continue to be compatible going forward i.e. whether a 1.3.x version will be maintained in parallel with 1.4 for those OS's that can't fully run 1.4.... whilst I haven't had a direct answer to that, the impression I get is that a decision on this hasn't yet been reached/made.

 

  Now, in relation to Sync 1.4 support for Server 2003 (which can't run anything higher than IE8), one of the developers commented to me last week after 1.4.72 was released, "I hope that we'll support it [server 2003] in 1.4.xx"

 

  So, in summary;

  • XP support for Sync 1.4+ looks highly unlikely going forward (unless the devs/management have a change of heart/re-think!)
  • A decision on future 1.4+ support for still "valid" OS's (Vista/Win2k3) doesn't appear to have been made yet
  • A decision on whether 1.3.x will continue to receive updates to ensure compatibility with 1.4+ going forward doesn't appear to have been made yet
  • Should 1.4 support for "valid" OS's like Vista/Win2k3 go on to be implemented/fixed at some stage, it's likely that as a by-product of this, Sync 1.4 would then also work on XP (all be it unofficially!)

I'm sorry I don't have any more concrete information for you all on these issue at this time! I will of course provide updates if/when I have any further information.

 

My best advice in the meantime would be to show your support in the Feature Requests forum for XP/Vista/2k3 support in 1.4 and/or for the continuation of 1.3 support, so that the devs/management can see just how big of an issue this is for users!

Share this post


Link to post
Share on other sites

Installed it today on multiple ubuntu servers and windows desktops. Seems like the desktops couldn't sync when on different versions.

 

The UI is not really my cup of tea. I did like the tabs and more overview about transfers and transferspeeds. Could the current speed be added in a future release?

 

Keep up the good work!

Share this post


Link to post
Share on other sites

Hey there.

 

Seems like both, the 1.4.72 as well as the 1.4.75 versions on windows don't expose their version numbers in UI.

The very spot which holds the version number in linux builds (click Settings/Preferences, the bottom line of that modal window) as "

1.4.72 © BitTorrent, Inc. 2014" just shows "© BitTorrent, Inc. 2014" on the windows build.
 
As to the windows xp thing: There are wishes in the wishlist forum to allow btsync to run as a service on windows just like it is possible on linux currently. That would re-introduce compatibility to XPish operating systems, wouldn't it?
 
Regards,
Stephan.

Share this post


Link to post
Share on other sites

Seems like both, the 1.4.72 as well as the 1.4.75 versions on windows don't expose their version numbers in UI.

They do - but it's via a tooltip when you hover over the system tray icon:

1_4tray.png

 

As to the windows xp thing: There are wishes in the wishlist forum to allow btsync to run as a service on windows just like it is possible on linux currently. That would re-introduce compatibility to XPish operating systems, wouldn't it?

Ha! No not at all - Sync 1.4 does partial run on XP already, it's just it's UI doesn't. Running it as a service isn't going to magically bring back the UI!

Share this post


Link to post
Share on other sites

Well, hovering the system tray didn't work, it just did nothing. Only after I restarted btsync (like I did while upgrading from 1.4.72 to 1.4.75 a couple of minutes before) it worked. But that might be some problem with my computer currently which is heavily used by some background processes. If it is supposed to be on system tray only and it obviously works now, then this is fine for me. Because I didn't see the version number at all since I upgraded to 1.4.x, I thought that has gone due to UI updates.

 

To the XP thing: Well, managing headless btsync instances works with both, current chrome and firefox. And the current firefox ESR 31 is a couple of weeks old, so it's an up to date browser, too. I think chances are good that someone still running XP has at least one other browser to handle the btsync web ui. The current windows build doesn't give that option because it is bound to the one IE installed, although there might be other browsers installed on the very same system perfectly capable of using btsync.

 

I don't want to say that using btsync as a windows service automatically makes things better. But I really think that this raises chances of being able to use btsync.

 

So it's not just "drop btsync into a service" but "create a standalone webserver mechanism like current linux and arm builds have", of course.

 

Regards,

Stephan.

Share this post


Link to post
Share on other sites

Ha! No not at all - Sync 1.4 does partial run on XP already, it's just it's UI doesn't. Running it as a service isn't going to magically bring back the UI!

But chances are not bad, because if the BTSync core runs as a service they will have to create some kind of standalone UI anyway. And what would be better suited than the real web UI the Linux version already has? That way they don't have to build some IPC interface from scratch.

Share this post


Link to post
Share on other sites

@zbigb69

The syntax of StreamsList is same as IgnoreList, though your question is still valid. Please expect the article "Alt Streams and Xattrs in Sync" on KnowledgeBase - it will appear there shortly after validation.

Could you please elaborate what prevents to change the width of columns? You simply need to hover mouse over column delimiter in header until it changes to arrows - and resize width.

Share this post


Link to post
Share on other sites

@RomanZ

 

ok i start to understand.

but look at the screenshot, what i have to do ? Add rules in ignore list or in strealslist ?

0f9b39bc35.png

 

After updated to 1.4.xxx, i have sames rules in both files !

9d24efb6b7.png

 

 

 

For the columns, for exemple i have somes names larger than the column, and i cannot change the width, when i hove the mouse over the delimiter, i can but just a little, for a couple of pixels, no more.

c3b3ddc449.png

Share this post


Link to post
Share on other sites

I have the same issue with column resizing as zbig. The column only barely gets larger when you drag it over. 

Windows 7 64bit. BTSync 64bit 1.4.75

 

You're not alone! - many people reported this with 1.4.72 too. I can also reproduce and confirm.

Share this post


Link to post
Share on other sites

You can make it wider by doing this:

 

Grab it and pull it all the way to the left and then to the right. Let go of the button, and repeat, it will get a few pixels wider each time :)

 

(But it will shrink surrounding columns.)

Share this post


Link to post
Share on other sites

You can make it wider by doing this:

 

Grab it and pull it all the way to the left and then to the right. Let go of the button, and repeat, it will get a few pixels wider each time :)

 

(But it will shrink surrounding columns.)

 

Nope - doesn't work for me! - besides, even if that method worked, that's far from ideal/expected behavior when it comes to how to columns should be resized!

Share this post


Link to post
Share on other sites

With 1.4.75 the feature with 'encryption key' for untrusted nodes doesn't work for me. If I try to add such key via the web-UI ('enter key or link..') it adds a folder with a different key for me, of course with 0 peers then.

 

Even when I try to change that key again in preferences it refused to do so, the input box just gets a red border around.

Share this post


Link to post
Share on other sites

I am thinking about abandoning BT Sync entirely after an install message told me that I'm required to have a certain browser version tied to a certain company. You know?

 

BT sync is supposed to be "built on trust" and tieing your product to that product/company will raise a few eyebrows. Trust issues and safety are the reason people are willing to try out BT Sync, this will push people away. That's a ball and chain you don't want around your ankle.

Share this post


Link to post
Share on other sites

@zbigb69

Thanks for detailed explanation. I confirm that column resizing issue exists - and will be fixed.

For the ignore list. Now com.apple... is present in both IgnoreList and StreamsList. IgnoreList does not care about xattrs, so it changes nothing if it present or absent inside. StreamsList contains it - and forces xattrs to be synced. If you want to prevent xattrs to be synced - remove them from StreamsList.

 

@Borph

Could you provide couple of screenshots on how it does not work? I just checked it in my lab - Encrypted secrets work fine.

Share this post


Link to post
Share on other sites

@Borph

Could you provide couple of screenshots on how it does not work? I just checked it in my lab - Encrypted secrets work fine.

 

I got it working after deleting the directory and setting up again - it seems to be the problem with existing folders (on Linux) mentioned in another thread.

Share this post


Link to post
Share on other sites

Hello, BT Sync is a masterpiece !! please do not alter the program with a version requiring IE to run ... pretty please :D

(Will the 1.3 version be updated also, or will it be obsolete one day, forcing to use 1.4 or later ?)

 

Regards.

Share this post


Link to post
Share on other sites

Trying to use the share a folder feature, but been hard to understand how it works or even if works... specially the email sharing...

 

I go to the explorer, Share a folder, then it appears a little square windows from btsync. On this window it's possible to share bye email, copy or qrcode...

If I click on email or copy, nothing happens. The Qr code works fine, at least I see a Qr code, but I don't know if that QR code works or not.

I don't know what supposed to happen on the email link, but I suppose that it should open my email client, right? As I said, nothing happens. I have Thunderbird for Windows installed.

Also, copy, it was supposed to copy a link to the clipboard?? If yes, I don't get anything copied to the clipboard...

 

I also got a message about something related about peers, that I have to authorize in the Advanced options, on that square, but when I go there, the option is already ticked... what I have to do??

But now, after trying a few times share a few folders, that warning stopped appearing to me...

 

Anyone?!?

Share this post


Link to post
Share on other sites

@zeropluszero

Version 1.3 won't be updated to HTML UI. Though, as you mentioned - we'll support it only for some period of time.

 

@onesolo

If you copy the link, it will show you something like that:

https://link.getsync.com/?f=MySyncFiles&sz=31E6&s=HIHVQMDVRFOPGYLFK4EHUWTDOWB2TSG4&i=C33XK7A3AWUIPJ5CKFBF45SF4VBYRNZQ6&p=CDGEQZYST3QGVJLMBCAJSOJAJBRRNAUR&e=1410607989

 

If you mail it - it should open your default mail client with e-mail template, containing similar link.

 

If all of the above does not happen - could you please collect debug logs so we can take a look what's happening?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.